
/*
gif created by https://giphy.com/belaunclecat/
bg from http://steven-universe.wikia.com/wiki/File:Maximum_Capacity_Background_1.png
*/

int maxImg = 15; //total # of imgs
int imgIndex = 0; //initial img to be displayed is the first
int runX;

//declare array of imgs
PImage[] img = new PImage[maxImg];

PImage background;


void setup() {
  size(800,400);
  
  background = loadImage("bg.png");
  
  //load imgs from data folder into array
  for (int i = 0; i < img.length; i++) {
    img[i] = loadImage("run" + i + ".png");
    img[i].resize(0,120);
  }
  frameRate(10);
  
}

void draw() {
  background(255);
  
  imageMode(CORNER);
  image(background,0,0,width,height);
  
  imageMode(CENTER);
  image(img[imgIndex],runX+700,height/1.5);
  
  //increment img index by one each cycle
  //use modulo "%" to return to 0 once the end of array is reached
  imgIndex = (imgIndex + 1) % img.length;
}

void keyPressed() {
  runX -= 15;
}
